Class UmlTransition

Declaration :

- C++ : class UmlTransition : public UmlBaseTransition, public UmlStateItem
- Java : class UmlTransition extends UmlBaseTransition implements UmlStateItem

Artifact : UmlTransition

Operation UmlTransition

Declaration :

- Uml : + UmlTransition(in id : item_id, in n : string) :
- C++ : public: UmlTransition(void * id, const QCString & n) : UmlBaseTransition(id, n)
- Java : public UmlTransition(long id, String n)

All public operations : activity , apply , applyStereotype , children , childrenVisible , cppActivity , cppGuard , cppTrigger , create , defined_ , deleteIt , description , getIdentifier , guard , identifier_ , isExternal , isMarked , isToolRunning , isWritable , javaActivity , javaGuard , javaTrigger , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_Activity , set_childrenVisible , set_CppActivity , set_CppGuard , set_CppTrigger , set_Description , set_Guard , set_IsExternal , set_isMarked , set_JavaActivity , set_JavaGuard , set_JavaTrigger , set_Name , set_PropertyValue , set_Stereotype , set_Trigger , stereotype , supportFile , target , trigger , unload , unload